Fórum Ubuntu.cz

Ubuntu pro osobní počítače => Hry a zábava => Téma založeno: Difadon 04 Červenec 2014, 21:23:29

Název: OpenTTD - Aktualizace
Přispěvatel: Difadon 04 Červenec 2014, 21:23:29
Ahoj,

Co jsem zatím pochopil, tak pokud instaluji nějaký program co není v základu systému, tak musím získat PPA, abych měl možnost získat aktualizace programu pomocí Správce aktualizací.

Tak se chci zeptat, jestli existuje PPA pro hru OpenTTD. Všiml jsem si totiž, že je již verze 1.4.1, ale ve správci softwaru je teprve 1.3.3.

OS: Linux Mint 17 Cinnamon 64bit

Děkuji
Název: Re:OpenTTD - Aktualizace
Přispěvatel: Myrmica 05 Červenec 2014, 07:43:53
Přidej si repozitář:
Kód: [Vybrat]
wget -q -O - http://archive.getdeb.net/getdeb-archive.key | sudo apt-key add -
sudo sh -c 'echo "deb http://archive.getdeb.net/ubuntu trusty-getdeb games" >> /etc/apt/sources.list.d/getdeb.list'
Pak dej příkaz"
Kód: [Vybrat]
sudo apt-get updateAnainstaluj hru:
Kód: [Vybrat]
sudo apt-get install openttda můžeš hrát
Teda pokud ti pro Mint platí to samé co pro Ubuntu 14.04 pokud ne vyber si repozitář na této stránce:
http://www.ubuntuupdates.org/ppa/getdeb_games?dist=trusty
Název: Re:OpenTTD - Aktualizace
Přispěvatel: Kattienika 27 Březen 2018, 10:22:47
Ahoj,

V Ubuntu 17.04 mám hledat ppa repozitář podle názvu poslední LTS verze, tedy Xenial?

Chápu správně, že při každém přechodu na novější LTS verzi bych měla zkontrolovat všechny ppa repozitáře zda jsou aktuální k nové LTS verzi Ubuntu a staré vymazat a nahradit novými?
Název: Re:OpenTTD - Aktualizace
Přispěvatel: vxmery 27 Březen 2018, 10:40:14
Ahoj,
Citace
V Ubuntu 17.04 mám hledat ppa repozitář podle názvu poslední LTS verze, tedy Xenial?
17.04 nie je LTS verzia, jej podpora skončila.
LTS verzia je 16.04 Xenial Xerus. Ďalšia LTS verzia bude o pár týždňov - 18.04.
Repozitáre iba tie, čo si si sama pridala.
Název: Re:OpenTTD - Aktualizace
Přispěvatel: Kattienika 27 Březen 2018, 12:50:41
Omlouvám se, překlep. Ne 17.04 ale 17.10. :)

Takže vždycky hledat repozitáře podle poslední LTS verze?
Název: Re:OpenTTD - Aktualizace
Přispěvatel: Milhouse 27 Březen 2018, 17:19:25
17.10 není také LTS a zanedlouho bude bez podpory, viz tabulka (https://wiki.ubuntu.com/Releases). Zdroje hledej dle názvu Artful Aardvark (https://wiki.ubuntu.com/ArtfulAardvark) . Zpravidle dle jeho prvního slova, tedy Artful.


Z verze 17.10 půjde po vydání 18.04 plynule přejít na toto LTS vydání. Jen bych to nedělal z kraje ale po nějaké době...
Název: Re:OpenTTD - Aktualizace
Přispěvatel: juwa2 27 Březen 2018, 17:39:36
Omlouvám se, překlep. Ne 17.04 ale 17.10. :)

Takže vždycky hledat repozitáře podle poslední LTS verze?

Repozitáře hledej - přidávej podle verze Ubuntu kterou máš aktuálně nainstalovanou.
Až povýšíš nebo nainstaluješ novější verzi, aktualizuješ pouze ty repozitáře které byly tebou přidané.
Název: Re:OpenTTD - Aktualizace
Přispěvatel: Kattienika 27 Březen 2018, 18:01:38
Na odkazu výše jsem právě repozitář pro Ubuntu 17.10 nenašla, proto jsem předpokládala že se použije repozitář pro poslední LTS verzi, tedy 16.04.
Název: Re:OpenTTD - Aktualizace
Přispěvatel: Myrmica 28 Březen 2018, 04:35:16
To co je v 17.10 a lze instalovat pomocí aplikace Software, ti nestačí? Je to verze: OpenTTD 1.7.0-1
Tedy určitě to je novější nežli to, o čem se psalo na začátku vlákna.
Název: Re:OpenTTD - Aktualizace
Přispěvatel: Kattienika 28 Březen 2018, 05:05:37
To ano, myslela jsem to spíše jako obecnější dotaz jak postupovat.
Název: Re:OpenTTD - Aktualizace
Přispěvatel: Myrmica 28 Březen 2018, 07:16:04
Pak tedy platí to co jsem řekl na začátku.
1. dva příkazy slouží pro přidání repozitáře, pokud ho ještě nemáme v systému.
2. druhý příkaz slouží pro aktualizaci seznamu dostupných balíčků. Slouží to zejména pro přidání balíčků z nového repozitáře.
3. Třetí příkaz nainstaluje příslušný balíček a s ním i aplikaci, která je obsažena v tom balíčku.

Pokud jde o použití balíčků z repozitářů jiných verzí, je možné nainstalovat i balíček z jiné verze, ale SILNĚ se to nedoporučuje. (Nejen že není zaručena funkčnost balíčku, ale balíček může poškodit nainstalovaný systém.)

Toť k tomu obecnějšímu. V podstatě jsem opakoval co tu bylo napsáno  ;D.
Název: Re:OpenTTD - Aktualizace
Přispěvatel: Kattienika 28 Březen 2018, 10:09:19
Děkuji, tohle jsem nevěděla. Myslela jsem, že u neLTS verzí se používá repozitář pro nižší LTS verzi (pro 17.10 tedy repozitář pro 16.04,....).
Název: Re:OpenTTD - Aktualizace
Přispěvatel: juwa2 28 Březen 2018, 21:48:07
Děkuji, tohle jsem nevěděla. Myslela jsem, že u neLTS verzí se používá repozitář pro nižší LTS verzi (pro 17.10 tedy repozitář pro 16.04,....).

Pokud budeš používat pouze LTS verze (silně doporučuji), budeš mít vše jednodušší...
Název: Re:OpenTTD - Aktualizace
Přispěvatel: Kattienika 29 Březen 2018, 05:51:53
O tom vím, jak vyjde 18.04 budu na něj přecházet. :) 16.04 jsem nechtěla dávat kvůli Unity a navíc ze stránek ubuntu.cz nejde ani stáhnout. :-)
Název: Re:OpenTTD - Aktualizace
Přispěvatel: Myrmica 29 Březen 2018, 12:59:25
Ubuntu 16.04 mám v práci, ale doma mi to nedalo a mám také Ubuntu 17.10.  Na 18.04 se docela těším, i když mi tam budou chybět některé prvky z Unity.
Jo a máš pravdu, že pro stažení Ubuntu 16.04 je v sekci "Stáhnout"  nefunkční odkaz.
Ale co, za cca měsíc tu bude 18.04  :D.
Mnoho uživatelů LTS říká, že je lepší počkat do subverze  Ubuntu 18.04.1, ale myslím, že pro nás uživatele Ubuntu 17.10 to není nutné. ;)
Název: Re:OpenTTD - Aktualizace
Přispěvatel: jmp 29 Březen 2018, 13:29:42
mno a kdo to nemůže vydržet, tak dopadne třeba takto:
$ cat /etc/issue
Ubuntu Bionic Beaver (development branch) \n \l

:-D
Název: Re:OpenTTD - Aktualizace
Přispěvatel: Gmisiycs 08 Květen 2019, 11:54:54
A zase nová verze.
64bit deb balík je i tady https://helltracker.cz/openttd-1.9.1-linux-ubuntu-bionic-amd64.deb